# Generic SCIM Endpoint - Get User

The Get User endpoint returns details about the requested user. It cannot be used to query non-users, such as Service Accounts.

### Request

#### Endpoint

`/provisioning/generic/v2/Users/<ID>`

#### HTTP Method

`GET`

#### Path variables

| Variable | Requirement | Description | Notes                                                                 | Example              |
| -------- | ----------- | ----------- | --------------------------------------------------------------------- | -------------------- |
| `ID`     | Required    | User ID     | Returns a 404 if the user ID is not found or if it matches a non-user | `a-05bcc36061716682` |

#### Example request

`GET app.strongdm.com/provisioning/generic/v2/Users/a-05bcc36061716682`

### Response

#### Example success response

```http
(Status 200)
```

```json
{
  "active": true,
  "displayName": "Firstname Lastname",
  "emails": [
    {
      "primary": true,
      "value": "myUser@example.test"
    }
  ],
  "groups": [
    {
      "$ref": "/Groups/aa-3d0d6e0d61716682",
      "value": "aa-3d0d6e0d61716682"
    }
  ],
  "id": "a-05bcc36061716682",
  "meta": {
    "resourceType": "User",
    "location": "Users/a-05bcc36061716682"
  },
  "name": {
    "familyName": "Lastname",
    "formatted": "Firstname Lastname",
    "givenName": "Firstname"
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "userName": "myUser@example.test",
  "userType": "user"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strongdm.com/references/scim/users/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
